{{ define "main" }}
{{ if .Params.katex}}
<link rel="stylesheet" href="/katex/katex.min.css" crossorigin="anonymous">

<script defer src="/katex/katex.min.js"crossorigin="anonymous"></script>
<script defer src="/katex/contrib/auto-render.min.js" crossorigin="anonymous" onload="renderMathInElement(document.body);"></script>
<script>
    document.addEventListener("DOMContentLoaded", function() {
        renderMathInElement(document.body, {
            delimiters: [
                {left: "$$", right: "$$", display: true},
                {left: "$", right: "$", display: false}
            ]
        });
    });
</script>

    {{ end }}

<article>
    <!-- post meta -->
    <h4 class="post-title">
        <a href="{{ .Permalink }}">{{ .Title }}</a>
    </h4>
    <div class="post-meta link-alter">
        {{ partial "post-meta.html" . }}
    </div>
    <!-- post main content -->
    <div class="post-content markdown-body">
{{ partial "headline-hash.html" .Content }}
    </div>
</article>
{{ end }}
